Bug 137922 - Treeview typeahead patch crashes when treeview window is empty
Treeview typeahead patch crashes when treeview window is empty
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gtk+ (Show other bugs)
3
All Linux
medium Severity high
: ---
: ---
Assigned To: Matthias Clasen
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-02 15:31 EST by Nickolay V. Shmyrev
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-16 09:39:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Nickolay V. Shmyrev 2004-11-02 15:31:36 EST
This patch still crashes with gtk+-2.4.13-5

Small code with example:

#include <gtk/gtk.h>
int
main (int argc, char *argv[])
{
  GtkWidget *window;
  GtkWidget *tree_view;
  GtkListStore *model;
                                                                     
          
  gtk_init (&argc, &argv);
  window = gtk_window_new (GTK_WINDOW_TOPLEVEL);
  model = gtk_list_store_new (1, G_TYPE_STRING);
  tree_view = gtk_tree_view_new_with_model (GTK_TREE_MODEL(model));
                                                                     
          
  gtk_container_add (GTK_CONTAINER (window), tree_view);
                                                                     
          
  gtk_widget_show_all (window);
                                                                     
          
  gtk_main ();
                                                                     
          
  return 0;
}

When you select window, type something, then press enter, you'll see
the crash, or you can just press enter.
Comment 1 Matthias Clasen 2004-11-03 09:25:06 EST
Oh, the fix included in 2.4.13-5 was incomplete. Building updated
packages now. I guess they won't make it into FC3 at this point, so 
expect an update.
Comment 2 Matthias Clasen 2004-11-16 09:39:26 EST
Fixed by 2.4.13-0 which is in fc3

Note You need to log in before you can comment on or make changes to this bug.